/*
 * uart_rcv.h
 *
 *  Created on: 2022年4月20日
 *      Author: dell
 */

#ifndef VAN_BAP_SCANNER_H_
#define VAN_BAP_SCANNER_H_

enum QR_CHECH_STATE
{
	QR_CHECH_STATE_FIRST = 0,
	QR_CHECH_STATE_TRYAGAIN = 1,
	QR_CHECH_STATE_WAITING= 3,
	QR_CHECH_STATE_SEND= 4,
};
enum QR_REC_STATE
{
	QR_REC_STATE_EMPTY = 0,
	QR_REC_STATE_HEADER ,
	QR_REC_STATE_SENDPRAM,
	QR_REC_STATE_SENDQR,
	QR_REC_STATE_END,
};


int parse_qrcode_info(struct str_card_param_info *info, char *qrcode_str);
void QRparam_upload(str_card_param_info_t *p_str_card_param_info);
void svanner_receive_Rec_IDLE(UART_HandleTypeDef *huart);
void svanner_receive_Rec_Start(UART_HandleTypeDef *huart);
void svanner_receive_analysis(void);

#endif /* UART_RCV_H_ */
